Bug 11371 - Build broken on fedora 22
Build broken on fedora 22
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Other
4.2.2
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-06-30 08:53 UTC by Michael Adam
Modified: 2015-07-11 20:04 UTC (History)
2 users (show)

See Also:


Attachments
Patch for v4-2-test cherry-picked from master (1.59 KB, patch)
2015-06-30 08:57 UTC, Michael Adam
obnox: review+
slow: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Adam 2015-06-30 08:53:04 UTC
Currently the build of v4-2-test is broken on fedora 22:

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

[1786/4218] Compiling source4/lib/http/http.c
../source4/lib/http/http.c: In function ‘http_parse_headers’:
../source4/lib/http/http.c:115:19: error: format ‘%a’ expects argument of type ‘float *’, but argument 3 has type ‘char **’ [-Werror=format=]
  n = sscanf(line, "%a[^:]: %a[^\r\n]\r\n", &key, &value);
                   ^
../source4/lib/http/http.c:115:19: error: format ‘%a’ expects argument of type ‘float *’, but argument 4 has type ‘char **’ [-Werror=format=]
../source4/lib/http/http.c: In function ‘http_parse_response_line’:
../source4/lib/http/http.c:161:19: error: format ‘%a’ expects argument of type ‘float *’, but argument 3 has type ‘char **’ [-Werror=format=]
  n = sscanf(line, "%a[^/]/%c.%c %d %a[^\r\n]\r\n",
                   ^
../source4/lib/http/http.c:161:19: error: format ‘%a’ expects argument of type ‘float *’, but argument 7 has type ‘char **’ [-Werror=format=]
cc1: some warnings being treated as errors
Waf: Leaving directory `/data/obnox/devel/samba/4.2/v4-2-test/bin'
Build failed:  -> task failed (err #1): 
        {task: cc http.c -> http_1.o}
Makefile:8: recipe for target 'all' failed
make: *** [all] Error 1

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Comment 1 Michael Adam 2015-06-30 08:57:31 UTC
Created attachment 11217 [details]
Patch for v4-2-test cherry-picked from master

Patch already exists in master.
Comment 2 Michael Adam 2015-06-30 08:57:57 UTC
Comment on attachment 11217 [details]
Patch for v4-2-test cherry-picked from master

Ralph, please review for 4.2
Comment 3 Michael Adam 2015-07-01 08:21:28 UTC
Karo, please apply for 4.2.next. - Thanks!
Comment 4 Karolin Seeger 2015-07-05 19:30:27 UTC
Pushed to autobuild-v4-2-test.
Comment 5 Karolin Seeger 2015-07-11 20:04:28 UTC
(In reply to Karolin Seeger from comment #4)
Pushed to v4-2-test.
Closing out bug report.

Thanks!